%global pkgname XMod

Name:           gap-pkg-xmod
Version:        2.64
Release:        3%{?dist}
Summary:        Crossed Modules and Cat1-Groups for GAP

License:        GPLv2+
URL:            https://gap-packages.github.io/xmod/
Source0:        https://github.com/gap-packages/xmod/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-autpgrp
BuildRequires:  gap-pkg-groupoids
BuildRequires:  gap-pkg-hap
BuildRequires:  gap-pkg-utils
BuildRequires:  tex(xy.sty)

Requires:       gap-core
Requires:       gap-pkg-autpgrp
Requires:       gap-pkg-groupoids
Requires:       gap-pkg-hap
Requires:       gap-pkg-utils

%description
This package allows for computation with crossed modules, cat1-groups,
morphisms of these structures, derivations of crossed modules and the
corresponding sections of cat1-groups.  Experimental functions for
crossed squares are now included.  In October 2015 a new section on
isoclinism of crossed modules was added.

%prep
%autosetup -n %{pkgname}-%{version}

# Fix end of line encoding
for fil in examples/isoclinic.g makedoc.g; do
  sed -i.orig 's/\r//' $fil
  touch -r $fil.orig $fil
  rm -f $fil.orig
done

# Fix a typo in the manual in version 2.64; fixed upstream
sed -i 73d doc/gp3objmap.xml

%build
export LC_ALL=C.UTF-8
mkdir ../pkg
ln -s ../%{pkgname}-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES.md,LICENSE.txt,README.md}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
export LC_ALL=C.UTF-8
cd tst
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" testall.g 2>&1 | tee log
! grep -F 'Errors detected' log
rm -f log

%files
%doc CHANGES.md README.md
%license LICENSE.txt
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/examples
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.64-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.64-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Jerry James <loganjerry@gmail.com> - 2.64-1
- New upstream version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.59-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 21 2017 Jerry James <loganjerry@gmail.com> - 2.59-1
- New upstream version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec  3 2016 Jerry James <loganjerry@gmail.com> - 2.58-1
- New upstream version
- New URLs

* Fri Sep 30 2016 Jerry James <loganjerry@gmail.com> - 2.56-1
- Initial RPM
